Back to Platform

POST /projects/{id}/tasks

POST
/projects/{id}/tasks

POST operation for /projects/{id}/tasks

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Your API key (no "Token" prefix needed)

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://dev-rest.onboard.io/projects/string/tasks" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "description": "string",    "status": "open",    "is_section": true,    "is_hidden": true,    "is_internal": true,    "is_optional": true,    "onboardee_user_id": 1,    "onboarder_user_id": 1,    "due_date": "2021-01-01",    "move_to": 1,    "completed_at": "2021-01-01T00:00:00Z",    "completed_source": "string",    "assignee_email": "[email protected]",    "estimated_time": 1,    "estimated_time_unit": "minutes",    "estimated_time_raw": 1,    "time_spent": 1,    "time_spent_unit": "minutes",    "time_spent_raw": 1,    "preview_status": "keep",    "external_id": "string",    "time_tracking_enabled": true,    "sf_task_id": "string",    "dependencies": [      "string"    ],    "start_date": "2021-01-01",    "end_date": "2021-01-01",    "sync_due_date": true,    "category": "task",    "embedded": "string",    "embedded_url": "string",    "embedded_option": "url",    "embedded_panel_title": "string",    "is_billable": true,    "due_date_days": 1,    "due_date_days_after_specific_task_completed_roadmap_task_id": 1,    "due_date_days_after_specific_task_due_roadmap_task_id": 1,    "is_ttv": true,    "custom": "string"  }'
{
  "id": 1,
  "roadmap_id": "string",
  "roadmap_status": "string",
  "name": "string",
  "task_id": "string",
  "is_global_task": "string",
  "description": "string",
  "order": 1,
  "status": "open",
  "is_section": true,
  "is_hidden": true,
  "is_internal": true,
  "is_optional": true,
  "onboardee_user": "string",
  "onboardee_user_id": 1,
  "onboarder_user": "string",
  "onboarder_user_id": 1,
  "due_date": "2021-01-01",
  "move_to": 1,
  "description_preview": "string",
  "created_at": "2021-01-01T00:00:00Z",
  "modified_at": "2021-01-01T00:00:00Z",
  "completed_at": "2021-01-01T00:00:00Z",
  "completed_by_onboardee_user": "string",
  "completed_by_onboarder_user": "string",
  "completed_source": "string",
  "assignee_email": "[email protected]",
  "estimated_time": 1,
  "estimated_time_unit": "minutes",
  "estimated_time_raw": 1,
  "time_spent": 1,
  "time_spent_unit": "minutes",
  "time_spent_raw": 1,
  "refresh": "string",
  "refresh_message": "string",
  "preview_status": "keep",
  "initial_preview_status": "keep",
  "has_messages": true,
  "external_id": "string",
  "forms": "string",
  "time_tracking_enabled": true,
  "sf_task_id": "string",
  "dependencies": [
    "string"
  ],
  "start_date": "2021-01-01",
  "end_date": "2021-01-01",
  "sync_due_date": true,
  "category": "task",
  "embedded": "string",
  "embedded_url": "string",
  "embedded_option": "url",
  "embedded_panel_title": "string",
  "is_billable": true,
  "due_date_type": "before_target_launch_date",
  "due_date_enabled": true,
  "due_date_days": 1,
  "due_date_days_after_specific_task_completed_roadmap_task_id": 1,
  "due_date_days_after_specific_task_due_roadmap_task_id": 1,
  "embedded_url_merge_tag": "string",
  "is_outboard_one_off_task": true,
  "is_ttv": true,
  "custom": "string"
}
Empty
Empty
Empty

How is this guide?